Visit The New, Modern Unix Linux Community


Can't solve failed dependencies while installing a package.


 
Thread Tools Search this Thread
Operating Systems AIX Can't solve failed dependencies while installing a package.
# 1  
Can't solve failed dependencies while installing a package.

Hello,



I am trying to install an open source package in my AIX 5.1 machine,

smpeg-0.4.5-1.aix5.1.ppc.rpm
here is what I get:


Code:
# rpm -Uvh smpeg-0.4.5-1.aix5.1.ppc.rpm
error: failed dependencies:
        libGL.a(shr.o) is needed by smpeg-0.4.5-1
        libGLU.a(shr.o) is needed by smpeg-0.4.5-1

I have OpenGL installed, and I have searched for both above libraries (libGL.a and libGLU.a) in file manager, I found both of them in the following folders:


Code:
/usr/lpp/OpenGL/tools/ZAPdb/bin/
/usr/lpp/OpenGL/lib
/usr/lpp/OpenGL/lib/inst_updt
/usr/lib/

What should I do to install the above package? I don't have a clue, any suggestion?



Thanks.
# 2  
Have to admit, I dont know AIX, but since you called rpm, I assume a RH based system.

That said, have a try with:
Code:
dnf provides libGLU

Which is "about" the same as:
Code:
rpm --whatprovides libGLU

Again, since I dont know AIX, I'm not sure wether "/usr/lpp" is a valid lib directory.
Thus I'd recomend to just reinstall the most approriate package listed by one of the above commands.

Hope this helps
# 3  
Hello sea,


thanks a lot for your help!


Unfortunately your suggested commands don't seem to work in my environment Smilie


Code:
*******************************************************************************
*                                                                             *
*                                                                             *
*  Welcome to AIX Version 5.1!                                                *
*                                                                             *
*                                                                             *
*  Please see the README file in /usr/lpp/bos for information pertinent to    *
*  this release of the AIX Operating System.                                  *
*                                                                             *
*                                                                             *
*******************************************************************************
$ dnf provides libGLU
ksh: dnf:  not found.
$ rpm --whatprovides libGLU
RPM version 3.0.5
Copyright (C) 1998 - Red Hat Software
This may be freely redistributed under the terms of the GNU GPL

usage: rpm {--help}
       rpm {--version}
       rpm {--initdb}   [--dbpath <dir>]
       rpm {--install -i} [-v] [--hash -h] [--percent] [--force] [--test]
                        [--replacepkgs] [--replacefiles] [--root <dir>]
                        [--excludedocs] [--includedocs] [--noscripts]
                        [--rcfile <file>] [--ignorearch] [--dbpath <dir>]
                        [--prefix <dir>] [--ignoreos] [--nodeps] [--allfiles]
                        [--ftpproxy <host>] [--ftpport <port>] [--justdb]
                        [--httpproxy <host>] [--httpport <port>]
                        [--noorder] [--relocate oldpath=newpath]
                        [--badreloc] [--notriggers] [--excludepath <path>]
                        [--ignoresize] file1.rpm ... fileN.rpm
       rpm {--upgrade -U} [-v] [--hash -h] [--percent] [--force] [--test]
                        [--oldpackage] [--root <dir>] [--noscripts]
                        [--excludedocs] [--includedocs] [--rcfile <file>]
                        [--ignorearch]  [--dbpath <dir>] [--prefix <dir>]
                        [--ftpproxy <host>] [--ftpport <port>]
                        [--httpproxy <host>] [--httpport <port>]
                        [--ignoreos] [--nodeps] [--allfiles] [--justdb]
                        [--noorder] [--relocate oldpath=newpath]
                        [--badreloc] [--excludepath <path>] [--ignoresize]
                        file1.rpm ... fileN.rpm
       rpm {--query -q} [-afpg] [-i] [-l] [-s] [-d] [-c] [-v] [-R]
                        [--scripts] [--root <dir>] [--rcfile <file>]
                        [--whatprovides] [--whatrequires] [--requires]
                        [--triggeredby] [--ftpport] [--ftpproxy <host>]
                        [--httpproxy <host>] [--httpport <port>]
                        [--ftpport <port>] [--provides] [--triggers] [--dump]
                        [--changelog] [--dbpath <dir>] [targets]
       rpm {--verify -V -y} [-afpg] [--root <dir>] [--rcfile <file>]
                        [--dbpath <dir>] [--nodeps] [--nofiles] [--noscripts]
                        [--nomd5] [targets]
       rpm {--setperms} [-afpg] [target]
       rpm {--setugids} [-afpg] [target]
       rpm {--freshen -F} file1.rpm ... fileN.rpm
       rpm {--erase -e} [--root <dir>] [--noscripts] [--rcfile <file>]
                        [--dbpath <dir>] [--nodeps] [--allmatches]
                        [--justdb] [--notriggers] rpackage1 ... packageN
       rpm {-b|t}[plciba] [-v] [--short-circuit] [--clean] [--rcfile  <file>]
                        [--sign] [--nobuild] [--timecheck <s>] ]
                        [--target=platform1[,platform2...]]
                        [--rmsource] [--rmspec] specfile
       rpm {--rmsource} [--rcfile <file>] [-v] specfile
       rpm {--rebuild} [--rcfile <file>] [-v] source1.rpm ... sourceN.rpm
       rpm {--recompile} [--rcfile <file>] [-v] source1.rpm ... sourceN.rpm
       rpm {--resign} [--rcfile <file>] package1 package2 ... packageN
       rpm {--addsign} [--rcfile <file>] package1 package2 ... packageN
       rpm {--checksig -K} [--nopgp] [--nogpg] [--nomd5] [--rcfile <file>]
                           package1 ... packageN
       rpm {--rebuilddb} [--rcfile <file>] [--dbpath <dir>]
       rpm {--querytags}
$

Quote:
Originally Posted by sea
Again, since I dont know AIX, I'm not sure wether "/usr/lpp" is a valid lib directory.
They are both in "/usr/lib" directory anyway, which I believe its the valid path for libraries... those libs are part of OpenGL, I don't know why it says they are "needed" ... maybe they are just not loaded?

Last edited by ravelino; 04-08-2020 at 06:01 PM..
# 4  
Quote:
Originally Posted by ravelino
....
They are both in "/usr/lib" directory anyway, which I believe its the valid path for libraries... those libs are part of OpenGL, I don't know why it says they are "needed" ... maybe they are just not loaded?
Quote:
Originally Posted by ravelino
...
Code:
/usr/lpp/OpenGL/tools/ZAPdb/bin/
/usr/lpp/OpenGL/lib
/usr/lpp/OpenGL/lib/inst_updt
/usr/lib/

....
All I see in the /usr/lib you provided, is an empty directory.

Sorry about the RPM command, I havent acutaly used that often - even while I was using RH based systems.
Code:
rpm --whatprovides libGLU -q smpeg

Now, I'm just wondering wether AIX still has yum.
Again, because you're using RPM, I cant get my mind of RH based systems - for which I expect either yum (old) or dnf (new) command to be available.

Regardless, lets see if any of these help - try on after one, and check wether it works in between.
Code:
rpm --verify libGLU
rpm --freshen libGLU

If it doesnt work 'by now'... - lets try to reinstall/overwrite
Code:
rpm -ivh libGLU

If AIX has 'yum' (the 'original' of the previously suggested 'dnf'), try this:
Code:
yum install libGLU

--> I cant get my mind off the idea that during initial installation of your packages, something must had been going sub-optimal.
Though, AFAIK rpm needs the packages (*.rpm) to be downloaded manualy, did you make sure to download the proper *ppc* variant of the libGLU rpm file?
Alltough, if that was the case, it *should not* had let you install it....

My 2 cents, hth - end of my 'knowledge'.
# 5  
Hi,
AIX is not any different from ANY other operating system when handling open source software - you are forever buried in dependency hell, because just because you see a certain library on the system does not mean it is in exactly the version the given package is asking for. So making one tool work might break another. It often helps to just install the libraries in the very latest versions you can find. Most rpms can be downloaded from IBM itself, or from various other web sources that provide rpms for AIX, for example here. You can always force install with --nodeps option, but its unlikely that your software works afterwards without finding the correct libraries required.
# 6  
Maybe this is helpful:

AIX Open Source Packages | FAQs / FAQs (Frequently Asked Questions)

From the ref above:

Quote:
A solution to the RPM dependency hell problem

I guess everybody who has installed a couple of RPM packages using rpm itself and not the help with a tool like yum ran into the following issue:

You have downloaded and want to install RPM aaa.rpm.

aaa.rpm has dependency on bbb.rpm and ccc.rpm.
bbb.rpm has dependency on ddd.rpm and ccc.rpm on eee.rpm and fff.rpm.
etc.

So you end up circling through all your RPM files and downloading all prerequisite RPM files just to install aaa.rpm. This can become quite annoying and time-consuming for packages with lots of dependencies. This is actually where a tool like yum is helping you a lot because it does all the steps outlined above for you. Unfortunately, I have so far found no way of compiling and providing YUM for AIX that could be done in a compatible manner (to the IBM provided RPM) as AIX still uses the old V3.0.5 version of RPM while all RPM-based Linux distributions have switched to RPM V4.X a long time ago. Also all recent YUM versions require at least a RPM version >= 4.4.

My solution approach to this problem

Basically what you want is a complete and self-contained list of dependencies for the RPM file aaa.rpm.
You download all the RPM packages on this list (make sure that you have downloaded them all into a separate directory which was empty before).
After downloading all the RPM packages on the list you can just install the RPM file aaa.rpm as easy as
rpm -Uvh *.rpm

This approach mimics kind of the AIX NIM behavior of a software bundle (the list here) and a lpp_source (the separate directory containing all required RPM files).

Previous Thread | Next Thread
Thread Tools Search this Thread
Search this Thread:
Advanced Search

Test Your Knowledge in Computers #63
Difficulty: Easy
Blackberry was the first company to use the Emoji for mobile devices.
True or False?

10 More Discussions You Might Find Interesting

1. HP-UX

Installing package

Hi, I need to use the tool "meminfo" in the server, however am not able to as it says the package is not found. I am also not able to find the package in the "HPUX Porting and Archive center". Please guide on how to install this package? Thanks, Aigini (1 Reply)
Discussion started by: anaigini45
1 Replies

2. Linux

Installing perl5.14 failed

Hi, While installing perl5.14 on my Linux box its failing with c compiler issue. below is the error message. Use which C compiler? ./trygcc: line 10: cc: command not found Uh-oh, the C compiler 'cc' doesn't seem to be working. ./trygcc: line 25: gcc: command not found ./checkcc:... (11 Replies)
Discussion started by: muzaffar.k
11 Replies

3. Red Hat

RPM failed dependencies

I'm trying to package the latest Oracle JDK (1.7.0_51) into an RPM. Packaging works fine but when i try to install via rpm -Uvh xxx.rpm, i get the following: #sudo rpm -ivh Sun_JDK7-1.7.0-51.x86_64.rpm error: Failed dependencies: libavcodec.so.52()(64bit) is needed by Sun_JDK7-1.7.0-51.x86_64... (3 Replies)
Discussion started by: asc123321
3 Replies

4. Linux

Failed dependencies

Hi all, i'm trying to upgrade pandorafms to the new version 4.0.3-130118, actually i have installed on my machine the version 3.0.0-8.1.el5, the error i'm getting when trying to update its the following rpm -Uvh pandorafms_agent_unix-4.0.3-130118.noarch.rpm error: Failed dependencies: ... (1 Reply)
Discussion started by: charli1
1 Replies

5. Red Hat

Failed dependencies loop forever

Hello All, I was trying to install one rpm and it failed due to missing dependencies, when I try to look at the dependencies and try to install them it is asking for 100+ dependencies, did any one ever face this problem? how can we fix this? rpm -ivh /var/tmp/erlang-R15B-02.1.el6.x86_64.rpm... (0 Replies)
Discussion started by: lovesaikrishna
0 Replies

6. BSD

Installing MySQL package

Hey all I'm having a little trouble installing a MySQL database. This is what I tried... export PKG_PATH=ftp://mirror.planetunix.net/pub/OpenBSD/4.9/packages/`machine -a` pkg_add -v mysql-server mysql-client and this is what I get Unknown element: @rcscript /etc/rc.d/mysqld in... (1 Reply)
Discussion started by: desreguard
1 Replies

7. UNIX for Dummies Questions & Answers

Problem while installing WAS ND package

Hi everyone, Hope u doing good. I am trying to installl WebSphere Application Server(WAS) ND package, i got problem at initial level I hope, the problem is with Mozilla browzer. Can anyone trobleshoot the problem An error occurred while starting the launchpad for a WebSphere Application ... (0 Replies)
Discussion started by: sarfraz
0 Replies

8. Red Hat

problem with Dependencies package !

Dear Friends , I am using RHEL 5 server . In Linux when I am going to install 'mod_ssl' rpm then I got the following error : # rpm -ivh mod_ssl-2.2.3-6.el5.i386.rpm --aid --force warning: mod_ssl-2.2.3-6.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 37017186 error: Failed... (5 Replies)
Discussion started by: shipon_97
5 Replies

9. Solaris

Installing font package

Hi All, Where do I find/download this font package 'FONT_FAMILY_SANS_SERIF-FONT_STYLE_NORMAL-14' and how to install it ? When I run an osi utility (ftamtool) it shows me this error: ##FTAM Tool : XView ERROR XView warning: Impossible de charger le jeu de caractères 'FONT_FAMILY_SANS_SERI... (0 Replies)
Discussion started by: andryk
0 Replies

10. Linux

Failed dependencies of rpm / how does RPM check for ?

Hey, I've a problem installing a package. rpm -ivh brings the errors: libjvm.so is needed by libverify.so is needed by But I have installed the Java SDK like requested and the files are on the disk. But I have no idea how to find out, why rpm cann't find them. I have also... (2 Replies)
Discussion started by: mod
2 Replies

Featured Tech Videos